#(32/64bit)

Name:               bino
Version:            1.6.5
Release:            %mkrel 1

Summary:            Video Player with 3D and Multi-Display Video Support
Source0:            http://download.savannah.gnu.org/releases/bino/%{name}-%{version}.tar.xz
URL:                http://bino3d.org
Group:              Video
License:            GPLv3+
#--------------------------------
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}qt5opengl-devel 
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires: %{_lib}ass-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}openal-devel
#BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
#--------------------------------
BuildRequires: libtool 
BuildRequires: gettext 
BuildRequires: texinfo 
BuildRequires: pkgconfig

%description
Bino is a video player with the following main features: 
Support for stereoscopic 3D video, with a wide variety of input and output
formats. Support for multi-display video, e.g. for powerwalls, Virtual Reality
installations and other multi-projector setups.

%prep
%setup -q -n %{name}-%{version}

%build

export LDFLAGS="%ldflags -zmuldefs"

%configure2_5x \
 --disable-silent-rules \
 --without-equalizer \
 --without-liblircclient \
 --without-xnvctrl

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf "%{buildroot}%{_datadir}/doc"


%find_lang %{name}

%post
%{update_desktop_database}

%preun
%{clean_desktop_database}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%doc doc/*.html doc/*.jpg doc/*.png
%{_bindir}/bino
%doc %{_mandir}/man1/bino.1.*
%doc %{_infodir}/bino.info.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/bino.*


%changelog
* Sat Jun 17 2017 adrianomorselli <adrianomorselli> 1.6.5-1uplos2017
- update
